Index: drivers/pcmcia/ti113x.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/pcmcia/ti113x.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/pcmcia/ti113x.h	22 Jul 2004 19:50:26 -0000	1.1
+++ drivers/pcmcia/ti113x.h	4 Aug 2004 01:29:27 -0000	1.2
@@ -167,6 +167,32 @@
 		new |= I365_INTR_ENA;
 	if (new != reg)
 		exca_writeb(socket, I365_INTCTL, new);
+
+	/*
+	 * If ISA interrupts don't work, then fall back to routing card
+	 * interrupts to the PCI interrupt of the socket.
+	 *
+	 * Tweaking this when we are using serial PCI IRQs causes hangs
+	 *   --rmk
+	 */
+	if (!socket->cap.irq_mask) {
+		u8 irqmux, devctl;
+
+		devctl = config_readb(socket, TI113X_DEVICE_CONTROL);
+		if ((devctl & TI113X_DCR_IMODE_MASK) != TI12XX_DCR_IMODE_ALL_SERIAL) {
+			printk (KERN_INFO "ti113x: Routing card interrupts to PCI\n");
+
+			devctl &= ~TI113X_DCR_IMODE_MASK;
+
+			irqmux = config_readl(socket, TI122X_IRQMUX);
+			irqmux = (irqmux & ~0x0f) | 0x02; /* route INTA */
+			irqmux = (irqmux & ~0xf0) | 0x20; /* route INTB */
+
+			config_writel(socket, TI122X_IRQMUX, irqmux);
+			config_writeb(socket, TI113X_DEVICE_CONTROL, devctl);
+		}
+	}
+
 	return 0;
 }
 
Index: drivers/pcmcia/yenta.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/pcmcia/yenta.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/pcmcia/yenta.c	22 Jul 2004 19:50:25 -0000	1.1
+++ drivers/pcmcia/yenta.c	4 Aug 2004 01:29:27 -0000	1.2
@@ -26,7 +26,7 @@
 #include "i82365.h"
 
 #if 0
-#define DEBUG(x,args...)	printk(__FUNCTION__ ": " x,##args)
+#define DEBUG(x,args...)	printk(KERN_DEBUG __FUNCTION__ ": " x,##args)
 #else
 #define DEBUG(x,args...)
 #endif
@@ -576,7 +576,8 @@
 	socket->cap.cb_dev = socket->dev;
 	socket->cap.bus = NULL;
 
-	printk("Yenta IRQ list %04x, PCI irq%d\n", socket->cap.irq_mask, socket->cb_irq);
+	printk(KERN_INFO "Yenta ISA IRQ mask 0x%04x, PCI irq %d\n",
+	       socket->cap.irq_mask, socket->cb_irq);
 }
 
 extern void cardbus_register(pci_socket_t *socket);
@@ -603,7 +604,8 @@
 
 	/* Figure out what the dang thing can do for the PCMCIA layer... */
 	yenta_get_socket_capabilities(socket, isa_interrupts);
-	printk("Socket status: %08x\n", cb_readl(socket, CB_SOCKET_STATE));
+	printk(KERN_INFO "Socket status: %08x\n",
+	       cb_readl(socket, CB_SOCKET_STATE));
 
 	/* Register it with the pcmcia layer.. */
 	cardbus_register(socket);
@@ -634,6 +636,7 @@
  */
 static void yenta_config_init(pci_socket_t *socket)
 {
+	u32 state;
 	u16 bridge;
 	struct pci_dev *dev = socket->dev;
 
@@ -673,6 +676,10 @@
 	exca_writeb(socket, I365_GENCTL, 0x00);
 
 	/* Redo card voltage interrogation */
+	state = cb_readl(socket, CB_SOCKET_STATE);
+	if (!(state & (CB_CDETECT1 | CB_CDETECT2 | CB_5VCARD |
+			CB_3VCARD | CB_XVCARD | CB_YVCARD)))
+		
 	cb_writel(socket, CB_SOCKET_FORCE, CB_CVSTEST);
 }
 
@@ -863,6 +870,13 @@
 	{ PD(TI,1420),	&ti_ops },
 	{ PD(TI,4410),	&ti_ops },
 	{ PD(TI,4451),	&ti_ops },
+	{ PD(TI,1510),  &ti_ops },
+	{ PD(TI,1520),  &ti_ops },
+
+	{ PD(ENE,1211),  &ti_ops },
+	{ PD(ENE,1225),  &ti_ops },
+	{ PD(ENE,1410),  &ti_ops },
+	{ PD(ENE,1420),  &ti_ops },
 
 	{ PD(RICOH,RL5C465), &ricoh_ops },
 	{ PD(RICOH,RL5C466), &ricoh_ops },
@@ -889,7 +903,7 @@
 	if (pci_enable_device(dev))
 		return -1;
 	if (!pci_resource_start(dev, 0)) {
-		printk("No cardbus resource!\n");
+		printk(KERN_ERR "No cardbus resource!\n");
 		return -1;
 	}
 
Index: drivers/pld/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/pld/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/pld/Makefile	22 Jul 2004 19:49:46 -0000	1.1
+++ drivers/pld/Makefile	4 Aug 2004 01:29:27 -0000	1.2
@@ -8,7 +8,7 @@
 # Note 2! The CFLAGS definitions are now inherited from the
 # parent makes..
 #
-#  $Id: Makefile,v 1.1 2004/07/22 19:49:46 joff Exp $
+#  $Id: Makefile,v 1.2 2004/08/04 01:29:27 joff Exp $
 #
 
 O_TARGET := pld.o
Index: drivers/pld/pld_hotswap.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/pld/pld_hotswap.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/pld/pld_hotswap.c	22 Jul 2004 19:49:46 -0000	1.1
+++ drivers/pld/pld_hotswap.c	4 Aug 2004 01:29:27 -0000	1.2
@@ -20,7 +20,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- *  $Id: pld_hotswap.c,v 1.1 2004/07/22 19:49:46 joff Exp $
+ *  $Id: pld_hotswap.c,v 1.2 2004/08/04 01:29:27 joff Exp $
  *
  */
 
Index: drivers/pnp/isapnp.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/pnp/isapnp.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/pnp/isapnp.c	22 Jul 2004 19:49:46 -0000	1.1
+++ drivers/pnp/isapnp.c	4 Aug 2004 01:29:27 -0000	1.2
@@ -510,7 +510,6 @@
                                                int dependent, int size)
 {
 	unsigned char tmp[3];
-	int i;
 	struct isapnp_irq *irq, *ptr;
 
 	isapnp_peek(tmp, size);
@@ -538,9 +537,13 @@
 	else
 		(*res)->irq = irq;
 #ifdef CONFIG_PCI
-	for (i=0; i<16; i++)
-		if (irq->map & (1<<i))
-			pcibios_penalize_isa_irq(i);
+	{
+		int i;
+
+		for (i=0; i<16; i++)
+			if (irq->map & (1<<i))
+				pcibios_penalize_isa_irq(i);
+	}
 #endif
 }
 
Index: drivers/s390/Config.in
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/s390/Config.in,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/s390/Config.in	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/s390/Config.in	4 Aug 2004 01:29:28 -0000	1.2
@@ -80,6 +80,7 @@
     tristate 'Universal TUN/TAP device driver support' CONFIG_TUN
     bool 'Ethernet (10 or 100Mbit)' CONFIG_NET_ETHERNET
     bool 'Token Ring driver support' CONFIG_TR
+    dep_tristate 'Cisco 7000 support' CONFIG_C7000 m
     bool 'FDDI driver support' CONFIG_FDDI
     comment 'S/390 network device drivers'
     bool 'Channel Device Configuration' CONFIG_CHANDEV
Index: drivers/s390/ccwcache.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/s390/ccwcache.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/s390/ccwcache.c	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/s390/ccwcache.c	4 Aug 2004 01:29:28 -0000	1.2
@@ -146,7 +146,7 @@
 
 	/* determine cache index for the requested size */
 	for (cachind = 0; cachind < CCW_NUMBER_CACHES; cachind ++ )
-	   if ( size_needed < (SMALLEST_SLAB << cachind) ) 
+	   if ( size_needed <= (SMALLEST_SLAB << cachind) ) 
 			break;
 
 	/* Try to fulfill the request from a cache */
